﻿# 阅读实验源代码
**main.c文件**   
在main函数中首先初始化了一个还未排序的线性表，然后调用快速排序函数QuickSort为线性表进行排序，最后在Windows控制台中打印输出排序后的线性表。  
在main函数的后面，定义了快速排序函数QuickSort函数， 此函数的函数体还不完整，留给读者完成。   
**SortObject.h文件**   
声明了QuickSort函数和全局变量。注意，此头文件中还包含了栈模块的头文件Stack.h。   
**Stack.h文件**  
定义了与栈相关的数据结构并声明了相关的操作函数。   
**Stack.c文件**   
定义了与栈相关的操作函数。   
# 在演示模式下调试项目
**按照下面的步骤调试项目：**
1.	按F7生成项目。
2.	在演示模式下，按F5启动调试项目。程序会在观察点函数的开始位置中断。
3.	重复按F5，直到调试过程结束。

在调试的过程中，每执行“演示流程”窗口中的一行后，仔细观察“可视化数据”窗口内容所发生的变化，理解快速排序的执行过程。“可视化数据”窗口显示的数据信息（如下图所示），包括：
-	分治范围的左右边界left和right。
-	指向分治范围两端的游标i和j。
-	线性表中元素的值。可以实时显示元素之间交换及分区排序的过程。
-	栈中元素的值。显示已经入栈的分治范围。
-	根据每趟排序结果记录线性表的实时变化和分治信息。

![](./img/27.png)

# 编写源代码并通过验证
**按照下面的步骤继续实验：**
1.	为QuickSort函数编写源代码。注意，尽量不要使用递归算法，而是使用堆栈来保存未排序的分区范围，并尽量使用已定义的局部变量。
2.	按F7生成项目。如果生成失败，根据“输出”窗口中的提示信息修改源代码中的语法错误。
3.	按Alt+F5启动验证。如果验证失败，可以使用“输出”窗口中的“比较”功能，或者在“非演示模式”下按F5启动调试后重复按F10单步调试读者编写的源代码，从而定位错误的位置，然后回到步骤1。

>
**`提示：`**在验证过程中，主要是检测QuickSort函数执行完毕后，线性表中元素的顺序是否正确，所以，为了顺利通过验证，读者只需要完成对线性表的排序即可。
>

# 教师参考答案
访问教师参考答案[domain relative url](engintime/ds-lab/teachers-packet/Lab027.git)